:root {
    --main-color-1: #f2efed;
    --main-color-2: #252525;
    --accent-color-1: #fefefe;
    /* Basically serves as --text-color-1 too */
    --accent-color-2: #656565;
    --text-color-2: #d3d3d3;
}

@font-face {
    font-family: 'Oswald';
    src: url('stash/common-stuff/Oswald.ttf');
}

@font-face {
    font-family: 'Teko';
    src: url('stash/common-stuff/Teko.ttf');
}

* {
    box-sizing: border-box;
}

/* Chromium, Edge, Safari */
*::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}

*::-webkit-scrollbar-track {
    background: transparent;
}

*::-webkit-scrollbar-thumb {
    background: var(--main-color-2);
    transition: background 0.2s ease;
    cursor: pointer;
}

*::-webkit-scrollbar-thumb:hover {
    background: rgba(25, 25, 25, 0.65);
}

*::-webkit-scrollbar-corner {
    background: var(--main-color-2);
}

html {
    overflow: hidden;
    height: 100dvh;
}

body {
    width: 100vw;
    height: 100dvh;
    overflow: hidden;
    margin: 0px;
    background: var(--accent-color-1);
    color: var(--main-color-2);
    font-family: 'Teko';
}

portfolio-app {
    display: block;
    height: 100dvh;
    width: 100vw;
    overflow-y: auto;
    overflow-x: hidden;
}

blog-app .blog {
    width: 100dvw;
    height: 90dvh;
    padding: 10dvh 10vw;

    overflow-y: auto;
}

.lg {
    display: block;
}

.sm {
    display: none;
    height: 100%;
    width: 100%;
}

#view {
    width: 100vw;
    min-height: 90dvh;
    overflow-y: auto;
    background: var(--main-color-1);
}

h1 {
    font-size: 10dvh;
    line-height: 10dvh;
    margin-bottom: 0;
}

p {
    font-size: 2.5dvh;
    line-height: 2.5dvh;
    text-align: justify;
}

.ghost__button {
    outline: none;
    text-decoration: none;
    border: none;
    background: none;
    color: var(--accent-color-1);
    cursor: pointer;
    font-size: 20px;
    font-family: 'Teko';

    transition: 0.25s ease-in-out;
}

.ghost__button:hover {
    opacity: 0.7;
}

@media (max-width: 1024px) {
    .lg {
        display: none;
    }

    .sm {
        display: block;
    }

    h1 {
        font-size: 7dvh;
        line-height: 7dvh;
    }

    blog-app .blog {
        width: 100vw;
        height: 90dvh;
        padding: 10dvh 5dvw;

        overflow-y: auto;
    }
}

@media (max-width: 768px) {
    h1 {
        font-size: 6dvh;
        line-height: 6dvh;
    }

    p {
        font-size: 3dvh;
        line-height: 3dvh;
    }

    blog-app .blog {
        width: 100vw;
        height: 90dvh;
        padding: 10dvh 5dvw;

        overflow-y: auto;
    }
}